net.minecraft.command

## Interface ICommand

- All Superinterfaces:
    Comparable
  All Known Implementing Classes:
    CommandBase, CommandClearInventory, CommandDebug, CommandDefaultGameMode, CommandDifficulty, CommandEffect, CommandEnchant, CommandGameMode, CommandGameRule, CommandGive, CommandHelp, CommandKill, CommandPlaySound, CommandServerBan, CommandServerBanIp, CommandServerBanlist, CommandServerDeop, CommandServerEmote, CommandServerKick, CommandServerList, CommandServerMessage, CommandServerOp, CommandServerPardon, CommandServerPardonIp, CommandServerPublishLocal, CommandServerSaveAll, CommandServerSaveOff, CommandServerSaveOn, CommandServerSay, CommandServerStop, CommandServerTp, CommandServerWhitelist, CommandSetPlayerTimeout, CommandSetSpawnpoint, CommandShowSeed, CommandSpreadPlayers, CommandTime, CommandToggleDownfall, CommandWeather, CommandXP, ForgeCommand, ServerCommandScoreboard, ServerCommandTestFor

      public interface ICommand
      extends Comparable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `addTabCompletionOptions(ICommandSender icommandsender, String[] astring)` Adds the strings available in this command to the given list of tab completion options.
    `boolean` | `canCommandSenderUseCommand(ICommandSender icommandsender)` Returns true if the given command sender is allowed to use this command.
    `List` | `getCommandAliases()`
    `String` | `getCommandName()`
    `String` | `getCommandUsage(ICommandSender icommandsender)`
    `boolean` | `isUsernameIndex(String[] astring, int i)` Return whether the specified command parameter index is a username parameter.
    `void` | `processCommand(ICommandSender icommandsender, String[] astring)`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getCommandName

          String getCommandName()

    - #### getCommandUsage

          String getCommandUsage(ICommandSender icommandsender)

    - #### getCommandAliases

          List getCommandAliases()

    - #### processCommand

          void processCommand(ICommandSender icommandsender,
                            String[] astring)

    - #### canCommandSenderUseCommand

          boolean canCommandSenderUseCommand(ICommandSender icommandsender)

      Returns true if the given command sender is allowed to use this command.

    - #### addTabCompletionOptions

          List addTabCompletionOptions(ICommandSender icommandsender,
                                     String[] astring)

      Adds the strings available in this command to the given list of tab completion options.

    - #### isUsernameIndex

          boolean isUsernameIndex(String[] astring,
                                int i)

      Return whether the specified command parameter index is a username parameter.